import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class ImageAnimation extends StatelessWidget {
  /// Constructor
  const ImageAnimation({this.animationBahavior});

  /// Based on Strategy Pattern >> This class should receive any implmenter of IAnimationBahavior
  final IAnimationBahavior animationBahavior;

  /// builder
  @override
  Widget build(BuildContext context) {
    // Each IAnimationBehavior Implpemeneter has its own decison builder.
    return animationBahavior.decideAnimation();
  }
}
