import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/cross_fade.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAnimatedCrossFade implements IAnimationBahavior {
  /// Constructor
  const TapAnimatedCrossFade({this.props});

  /// Properties
  final CrossFadeModelInterface props;

  @override
  Widget decideAnimation() {
    return AnimatedCrossFade(
      firstChild: props.firstChild,
      secondChild: props.secondChild,
      firstCurve: props.firstCurve,
      secondCurve: props.secondCurve,
      sizeCurve: props.sizeCurve,
      alignment: props.alignment,
      crossFadeState: props.crossFadeState,
      duration: props.duration,
      layoutBuilder: props.layoutBuilder,
    );
  }
}
