import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/default_text_style.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAnimatedDefaultTextStyle implements IAnimationBahavior {
  /// Constructor
  const TapAnimatedDefaultTextStyle({this.props});

  /// Properties
  final DefaultTextStyleModelInterface props;

  @override
  Widget decideAnimation() {
    return AnimatedDefaultTextStyle(
      child: props.child,
      style: props.style,
      textAlign: props.textAlign,
      softWrap: props.softWrap,
      overflow: props.overflow,
      maxLines: props.maxLines,
      curve: props.curve,
      duration: props.duration,
    );
  }
}
