import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/cross_fade.dart';

/// Model of CrossFade animation
class CrossFadeModel implements CrossFadeModelInterface {
  /// Constructor
  CrossFadeModel(
      {this.alignment = Alignment.topCenter,
      @required this.crossFadeState,
      @required this.duration,
      @required this.firstChild,
      this.firstCurve = Curves.linear,
      this.layoutBuilder = defaultLayoutBuilder,
      this.secondChild,
      this.secondCurve = Curves.linear,
      this.sizeCurve = Curves.linear});

  @override
  AlignmentGeometry alignment;

  @override
  CrossFadeState crossFadeState;

  @override
  Duration duration;

  @override
  Widget firstChild;

  @override
  Curve firstCurve;

  @override
  AnimatedCrossFadeBuilder layoutBuilder;

  @override
  Widget secondChild;

  @override
  Curve secondCurve;

  @override
  Curve sizeCurve;

  /// layoutBuilder default value as flutter did and user can update defualt builder
  static Widget defaultLayoutBuilder(Widget topChild, Key topChildKey,
      Widget bottomChild, Key bottomChildKey) {
    return Stack(
      overflow: Overflow.visible,
      children: <Widget>[
        Positioned(
          key: bottomChildKey,
          left: 0.0,
          top: 0.0,
          right: 0.0,
          child: bottomChild,
        ),
        Positioned(
          key: topChildKey,
          child: topChild,
        )
      ],
    );
  }
}
